# Uses of Class
org.apache.lucene.index.CheckIndex.Status

Packages that use CheckIndex.Status
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Status in org.apache.lucene.index

  Methods in org.apache.lucene.index that return CheckIndex.Status
  Modifier and Type
  Method
  Description
  `CheckIndex.Status`
  CheckIndex.`checkIndex()`
  Returns a `CheckIndex.Status` instance detailing the state of the index.
  `CheckIndex.Status`
  CheckIndex.`checkIndex(List<String> onlySegments)`
  Returns a `CheckIndex.Status` instance detailing the state of the index.
  `CheckIndex.Status`
  CheckIndex.`checkIndex(List<String> onlySegments, ExecutorService executorService)`
  Returns a `CheckIndex.Status` instance detailing the state of the index.
  Methods in org.apache.lucene.index with parameters of type CheckIndex.Status
  Modifier and Type
  Method
  Description
  `void`
  CheckIndex.`exorciseIndex(CheckIndex.Status result)`
  Repairs the index using previously returned result from `CheckIndex.checkIndex()`.